Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toxi.color
Class ToneMap

    java.lang.Object
      toxi.color.ToneMap

    public class ToneMap

extends java.lang.Object

Field Summary
`ColorList` | `colors`
`toxi.math.ScaleMap` | `map`

Constructor Summary
`ToneMap(float min, float max, ColorGradient gradient)`
`ToneMap(float min, float max, ColorList c)`
`ToneMap(float a, float b, ReadonlyTColor colA, ReadonlyTColor colB)`
`ToneMap(float min, float max, ReadonlyTColor colA, ReadonlyTColor colB, int res)`

Method Summary
`int` | `getARGBToneFor(float t)`
`ReadonlyTColor` | `getToneFor(float t)`
`void` | `setMapFunction(toxi.math.InterpolateStrategy func)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    public toxi.math.ScaleMap map

### colors

    public ColorList colors

Constructor Detail

### ToneMap

    public ToneMap(float min,
                   float max,
                   ColorGradient gradient)

### ToneMap

    public ToneMap(float min,
                   float max,
                   ColorList c)

### ToneMap

    public ToneMap(float a,
                   float b,
                   ReadonlyTColor colA,
                   ReadonlyTColor colB)

### ToneMap

    public ToneMap(float min,
                   float max,
                   ReadonlyTColor colA,
                   ReadonlyTColor colB,
                   int res)

Method Detail

### getARGBToneFor

    public int getARGBToneFor(float t)

### getToneFor

    public ReadonlyTColor getToneFor(float t)

### setMapFunction

    public void setMapFunction(toxi.math.InterpolateStrategy func)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD